Returns the command's request ID

- « MongoDB\Driver\Monitoring\CommandFailedEvent::getReply

- MongoDB\Driver\Monitoring\CommandFailedEvent::getServer »

- PHP Manual
- MongoDB\Driver\Monitoring\CommandFailedEvent
- Returns the command's request ID

# MongoDB\Driver\Monitoring\CommandFailedEvent::getRequestId

(mongodb >=1.3.0)

MongoDB\Driver\Monitoring\CommandFailedEvent::getRequestId — Returns the command's request ID

### Description

final public MongoDB\Driver\Monitoring\CommandFailedEvent::getRequestId(): string

The request ID is generated by the extension and may be used to associate this MongoDB\Driver\Monitoring\CommandFailedEvent with a previous MongoDB\Driver\Monitoring\CommandStartedEvent.

### Parameters

This function has no parameters.

### Return Values

Returns the command's request ID.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- MongoDB\Driver\Monitoring\CommandStartedEvent::getRequestId() - Returns the command's request ID
- Application Performance Monitoring (APM)